---
title: XRSession.renderState
slug: Web/API/XRSession/renderState
tags:
  - API
  - AR
  - Augmented Reality
  - Experimental
  - Property
  - Reference
  - VR
  - Virtual Reality
  - WebXR
  - WebXR Device API
  - XRSession
  - renderState
---
<div>{{securecontext_header}}{{APIRef("WebXR Device API")}}</div>

<p><span class="seoSummary">The <em>read-only</em> <strong><code>renderState</code></strong> property of an {{DOMxRef("XRSession")}} object indicates the returns a {{DOMxRef("XRRenderState")}} object describing how the user's environment which should be rendered.</span> The information provided covers the minimum and maximum distance at which to render objects, the vertical field of view to use when rendering the in the <code>inline</code> session mode, and the {{domxref("XRWebGLLayer")}} to render into for inline composition.</p>

<p>While this property is read only, you can call the {{domxref("XRSession")}} method {{domxref("XRSession.updateRenderState", "updateRenderState()")}} to make changes.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>xrRenderState</em> = XRSession.renderState;</pre>

<h3 id="Value">Value</h3>

<p>An {{DOMxRef("XRRenderState")}} object describing how to render the scene.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrsession-renderstate","XRSession.renderState")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRSession.renderState")}}</div>
